apparent(3)

NAME
apparent - Apparent position of a Star

SYNOPSIS

  Functions
void ln_get_apparent_posn (struct ln_equ_posn *mean_position, struct ln_equ_posn *proper_motion, double JD, struct ln_equ_posn *position)
Calculate the apparent position of a star.

Detailed Description

The apparent position of a star is it's position as seen from the centre of the Earth.

All angles are expressed in degrees.

Function Documentation

  void ln_get_apparent_posn (struct ln_equ_posn * mean_position, struct ln_equ_posn * proper_motion, double JD, struct ln_equ_posn * position)

Calculate the apparent position of a star.

Parameters
    mean_position Mean position of object
    proper_motion Proper motion of object
    JD Julian Day
    position Pointer to store new object position

Calculate the apparent equatorial position of a star from its mean equatorial position. This function takes into account the effects of proper motion, precession, nutation, annual aberration when calculating the stars apparent position. The effects of annual parallax and the gravitational deflection of light (Einstein effect) are NOT used in this calculation.

References ln_get_equ_aber(), ln_get_equ_pm(), and ln_get_equ_prec().

Author

Generated automatically by Doxygen for libnova from the source code.